package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFGK9Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFGK9Data() {}

    public static MWFGK9Data builder() {
        return new MWFGK9Data();
    }

    public MWFGK9Data rsEmail(String rsEmail) {
        params.put("RS_EMAIL", rsEmail);
        return this;
    }

    public MWFGK9Data rsTelefon(String rsTelefon) {
        params.put("RS_TELEFON", rsTelefon);
        return this;
    }

    public MWFGK9Data rsTelefonpredvolba(String rsTelefonpredvolba) {
        params.put("RS_TELEFONPREDVOLBA", rsTelefonpredvolba);
        return this;
    }

    public MWFGK9Data rsTelefontyp(String rsTelefontyp) {
        params.put("RS_TELEFONTYP", rsTelefontyp);
        return this;
    }

    public MWFGK9Data rsSystemid(String rsSystemid) {
        params.put("RS_SYSTEMID", rsSystemid);
        return this;
    }

    public MWFGK9Data rsIdentifikator(Long rsIdentifikator) {
        params.put("RS_IDENTIFIKATOR", rsIdentifikator);
        return this;
    }

    public MWFGK9Data rsProdukttyperetezec(String rsProdukttyperetezec) {
        params.put("RS_PRODUKTTYPERETEZEC", rsProdukttyperetezec);
        return this;
    }

    public MWFGK9Data rsIdsdelenimobil(Long rsIdsdelenimobil) {
        params.put("RS_IDSDELENIMOBIL", rsIdsdelenimobil);
        return this;
    }

    public MWFGK9Data rsIdsdeleniemail(Long rsIdsdeleniemail) {
        params.put("RS_IDSDELENIEMAIL", rsIdsdeleniemail);
        return this;
    }

    public MWFGK9Data rsCislouctu(String rsCislouctu) {
        params.put("RS_CISLOUCTU", rsCislouctu);
        return this;
    }

    public MWFGK9Data rsLzezmenit(String rsLzezmenit) {
        params.put("RS_LZEZMENIT", rsLzezmenit);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
